Name:          zita-convolver
Version:       4.0.3
Release:       1mamba
Summary:       A partitioned convolution engine library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://kokkinizita.linuxaudio.org/linuxaudio/
Source:        https://kokkinizita.linuxaudio.org/linuxaudio/downloads/zita-convolver-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libfftw-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A partitioned convolution engine library.

%package -n lib%{name}
Group:         System/Libraries
Summary:       A partitioned convolution engine library

%description -n lib%{name}
A partitioned convolution engine library.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
sed -i "/ldconfig/d" source/Makefile

%build
cd source
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
cd source
%makeinstall PREFIX=%{_prefix} LIBDIR=%{_libdir}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libzita-convolver.so.*
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/zita-convolver.h
%{_libdir}/libzita-convolver.so
%doc README

%changelog
* Tue Oct 15 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.3-1mamba
- package created using the webbuild interface
